﻿@model ContosoUniversity.ViewModels.QuanlyMeViewModel

@*@model IEnumerable<ContosoUniversity.Models.ThongtinMe>*@

@using PagedList.Mvc;


@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_LayoutCommon.cshtml";
}

@{
    List<ContosoUniversity.Models.User> lstUser = ViewBag.ListUser != null ? ViewBag.ListUser : new List<ContosoUniversity.Models.User>();
    List<SelectListItem> lstSelected = new List<SelectListItem>();
    for (int i = 0; i < lstUser.Count(); i++)
    {
        var selecteditem = new SelectListItem();
        selecteditem.Text = lstUser.ElementAt(i).UserName;
        selecteditem.Value = i.ToString();
        lstSelected.Add(selecteditem);
    }
}

<head>
    <script src="https://kit.fontawesome.com/b4077a95f0.js" crossorigin="anonymous"></script>
</head>

<style>
    .table_danhsach td:last-child {
        width: 120px;
    }
    
    fieldset {
        /*display: flow;*/
        display: flow-root;
        margin-top: 10px;
        margin-bottom: 10px;
        margin-inline-start: 5px;
        margin-inline-end: 5px;
        padding-block-start: 0.35em;
        padding-inline-start: 0.75em;
        padding-inline-end: 0.75em;
        padding-block-end: 0.35em;
        min-inline-size: min-content;
        border-width: 2px;
        border-style: groove;
        border-color: rgb(192, 192, 192);
        border-image: initial;
        border-radius: 10px;
    }

        fieldset .p2 {
            background-color: rgb(230, 240, 250);
            margin-top: 25px;
            border-width: 1px;
            border-radius: 3px;
            border-style: solid;
            border-color: rgb(0, 0, 0);
            display: grid;
        }

    .control-label {
        padding-right: 2px;
        padding-left: 5px;
    }

    label.control-label.required::after {
        content: " *";
        color: red;
        font-weight: bold;
        font-size: 130%;
    }

    @@media screen and (min-width: 720px) {
        legend {
            width: auto;
            margin-bottom: auto;
            margin-right: 20px;
            border-bottom: none;
        }

        .btn.btn-primary.btn-lg.gradient {
            margin-top: 23px;
        }

        input[type=text], select, input[type=date] {
            width: 100%;
            padding: 5px 5px;
            margin: 0px 0px;
            display: inline-block;
            border: 1px solid #ccc;
            border-radius: 6px;
            box-sizing: border-box;
        }

        .form-group {
            margin: auto;
            margin-top: 4px;
            margin-bottom: 4px;
        }

        .form-horizontal .form-group {
            margin-left: 0px;
        }
    }
</style>

<h2 class="maintitle"><i class="fa-solid fa-address-book" style="color: #299be4;"></i> Quản lý mẻ </h2>
<hr />

<p>
    @using (Html.BeginForm())
    {
        <div class="form-horizontal container">
            <div class="row justify-content-md-center">                
                <div class="col col-lg-1">
                    @*@Html.ActionLink("Tạo mới", "Create", null, null, new { @class = "btn btn-primary gradient", @style = "color:white;" })*@
                    <a href="@Url.Action("Create")" class="btn btn-primary gradient" style="color:white;"><i class="fa-solid fa-plus"></i> Tạo mới</a>
                    <br />
                </div>
            </div>
        </div>
    }
</p>


<div class="table-responsive">
    <table class="table table_danhsach" id="table_suco">
        <thead>
            <tr>
                <th>
                    ID
                </th>
                <th>
                    Thời gian bắt đầu
                </th>
                <th>
                    Thời gian kết thúc
                </th>

                <th>
                </th>
            </tr>
        </thead>
        <tbody>
            @for(int i = 0; i < Model.pagination.Count(); i ++)
            
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => Model.pagination[i].Id)
                        
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => Model.pagination[i].Thoigianbatdau)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => Model.pagination[i].Thoigianketthuc)
                    </td>

                    <td>
                        @Html.ActionLink(" ", "Edit", new { id = Model.pagination[i].Id }, new { @class = "fa-solid fa-pencil", @style = "color: #FFC107" })

                        @Html.ActionLink(" ", "ViewDanhsachThongsovanhanh", new { id = Model.pagination[i].Id }, new { @class = "fa-solid fa-eye", @style = "color: #428bca" })

                        @Html.DisplayFor(modelItem => Model.pagination[i].soluongmau)

                        @*@Html.DisplayFor(modelItem => Model.cntQuanlyme[i]) *@

                        @Html.ActionLink(" ", "Delete", new { id = Model.pagination[i].Id }, new { @class = "fa fa-trash", @style = "color: #E34724" })

                        @*@Html.ActionLink(" ", "ViewDanhsachThongsovanhanh", new { id = item.Id }, new { @class = "fa fa-info", @style = "color: #428bca" })*@

                    </td>
                </tr>
            }
        </tbody>
    </table>
</div>

<br />
<div class="row">
    <div class="col-sm-5" style="float:left;">
        @*Trang thứ @(Model.PageCount < Model.PageNumber ? 0 : Model.PageNumber) trong tổng số @Model.PageCount trang
        *@

        @(Model.pagination.TotalItemCount < 1 ? 0 : Model.pagination.FirstItemOnPage) - @Model.pagination.LastItemOnPage trong @Model.pagination.TotalItemCount dòng

    </div>

    <div class="col-sm-4" style="float:right;">
        @*Html.BeginForm run the HOME controller InvoiceList Action's GET method when form get submitted.*@
        @using (Html.BeginForm("Index", "QuanlyMe", FormMethod.Get, new { id = "form1" }))
        {
            <div id='Paging' style="text-align: center">
                @*Dropdown list generation code*@
                @Html.DropDownList("pageSize", null, new { @style = "width:50px" })      dòng trên trang
            </div>
        }
    </div>
</div>


@Html.PagedListPager(Model.pagination, page => Url.Action("Index", new { page, pageSize = ViewBag.psize, fromDate = ViewBag.fromDate, toDate = ViewBag.toDate, userCreate = ViewBag.userCreate }), new PagedListRenderOptions()
{
    DisplayLinkToFirstPage = PagedListDisplayMode.Always,
    DisplayLinkToPreviousPage = PagedListDisplayMode.Always,
    DisplayLinkToLastPage = PagedListDisplayMode.Always,
    DisplayLinkToNextPage = PagedListDisplayMode.Always,
    MaximumPageNumbersToDisplay = 5, // number of pages in line
    DisplayEllipsesWhenNotShowingAllPageNumbers = true
})

@*<div>   Tổng số mẻ là @ViewBag.total</div>*@<div></div>
@* COLLAPSE BUTTON BOOTSTRAP3.0 *@


@section Scripts {
    <link rel="stylesheet prefetch" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/css/bootstrap-datepicker.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/js/bootstrap-datepicker.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/locales/bootstrap-datepicker.vi.min.js"></script>
    <script>
        var toggler = document.querySelectorAll('[data-toggle="collapse"]');
        var i;
        for (i = 0; i < toggler.length; i++) {
            toggler[i].addEventListener("click", function () {
                this.ariaExpanded = !JSON.parse(this.ariaExpanded);
            });
        }
    </script>

    @* 2 list link dropdown *@
    <script>
        $(function () {
            $("#UserCreate").chosen({ placeholder_text_single: "Chọn người tạo", allow_single_deselect: true });
        });
        var subjectObject = {
            "Bể gom": {
                "pH": [],
                "COD": [],
                "TSS": [],
                "Nt": [],
                "P": [],
                "Thời gian bơm": []
            },
            "Cyclo Trộn": {
                "Thời gian xả đáy": []
            },
            "Bể lắng": {
                "Thời gian xả đáy": []
            }, "Bơm hoá chất": {
                "Nồng độ hoá chất": [],
                "Thời gian bơm": []
            }, "Bể điều hoà": {
                "DO": [],
                "Thời gian bơm": [],
                "Thời gian thổi khí": []
            }, "Bể SBR1": {
                "pH": [],
                "DO": [],
                "COD": [],
                "TSS": [],
                "Nt": [],
                "P": [],
                "VL": [],
                "Thời gian làm đầy": [],
                "Thời gian xử lý": [],
                "Thời gian lắng": [],
                "Thời gian xả": [],
                "Thời gian chờ": [],
                "Thời gian bơm bùn": []

            },
            "Bể SBR2": {
                "pH": [],
                "DO": [],
                "COD": [],
                "TSS": [],
                "Nt": [],
                "P": [],
                "VL": [],
                "Thời gian làm đầy": [],
                "Thời gian xử lý": [],
                "Thời gian lắng": [],
                "Thời gian xả": [],
                "Thời gian chờ": [],
                "Thời gian bơm bùn": []

            },
            "Máy ép Bùn": {
                "Thời gian hoạt động": [],
                "Khối lượng bùn khô": []
            }
        }
        //var      subjectObject = {
        //          "Bể gom": ["pH", "COD", "TSS", "Nt", "P", "Thời gian bơm"],
        //          "Cyclo Trộn": ["Thời gian xả đáy"]

        //      }

        window.onload = function () {
            var subjectSel = document.getElementById("subject");
            var topicSel = document.getElementById("topic");
            for (var x in subjectObject) {
                subjectSel.options[subjectSel.options.length] = new Option(x, x);
            }
            subjectSel.onchange = function () {
                //empty Chapters- and Topics- dropdowns
                //chapterSel.length = 1;
                topicSel.length = 1;
                //display correct values
                for (var y in subjectObject[this.value]) {
                    topicSel.options[topicSel.options.length] = new Option(y, y);
                }
                if (subjectSel.selectedIndex != 0) {
                    topicSel.options.remove(0);
                    document.getElementById("chongiatri1").style.display = "block";

                }
                else {
                    topicSel.options[0] = new Option("Hãy chọn cụm thông tin trước", 0);
                    document.getElementById("chongiatri1").style.display = "none";
                }
            }
            //topicSel.onchange = function () {
            //empty Chapters dropdown
            //chapterSel.length = 1;
            //display correct values
            //var z = subjectObject[subjectSel.value][this.value];
            //for (var i = 0; i < z.length; i++) {
            // chapterSel.options[chapterSel.options.length] = new Option(z[i], z[i]);
            // }
            //}
        }
    </script>

    <script>
        $("#pageSize").change(function () {
            $("#form1").submit();
        });

        $('#SearchingFilter1 .input-daterange').datepicker({
            format: "dd/mm/yyyy",
            weekStart: 0,
            startDate: "-1y",
            endDate: "now",
            maxViewMode: 2,
            locale: 'vi',
            todayBtn: "linked",
            clearBtn: true,
            language: "vi",
            daysOfWeekHighlighted: "0",
            autoclose: true
        });
    </script>

    <script>
        $(document).ready(function () {
            $("#export-Excel").click(function () {
                $javascript: alert("Bạn đang trong quá trình Xuất Excel");
            });
        });
    </script>

    @*khong cho back *@
    @*<script type="text/javascript">

        function disableBack() {
            window.history.forward();
        }

        setTimeout("disableBack()", 0);
        window.onunload = function () { null };

    </script>*@
   
}